# FairMQ: fair::mq::sdk::AsioAsyncOpImpl< Executor1, Allocator1, Handler, SignatureArgTypes > Struct Template Reference

fair::mq::sdk::AsioAsyncOpImpl< Executor1, Allocator1, Handler, SignatureArgTypes > Struct Template Reference

`#include <AsioAsyncOp.h>`

Inheritance diagram for fair::mq::sdk::AsioAsyncOpImpl< Executor1, Allocator1, Handler, SignatureArgTypes >:
[legend]
Collaboration diagram for fair::mq::sdk::AsioAsyncOpImpl< Executor1, Allocator1, Handler, SignatureArgTypes >:
[legend]

## Public Types

using | Allocator2 = typename asio::associated_allocator< Handler, Allocator1 >::type
| See https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html#boost_asio.reference.asynchronous_operations.allocation_of_intermediate_storage.
using | Executor2 = typename asio::associated_executor< Handler, Executor1 >::type
| See https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html#boost_asio.reference.asynchronous_operations.associated_completion_handler_executor.

## Public Member Functions

| AsioAsyncOpImpl (const Executor1 &ex1, Allocator1 alloc1, Handler &&handler)
| Ctor.
auto | GetAlloc2 () const -> Allocator2
auto | GetEx2 () const -> Executor2
auto | Complete (std::error_code ec, SignatureArgTypes... args) -> void override
auto | IsCompleted () const -> bool override

## Detailed Description

### template<typename Executor1, typename Allocator1, typename Handler, typename... SignatureArgTypes>
struct fair::mq::sdk::AsioAsyncOpImpl< Executor1, Allocator1, Handler, SignatureArgTypes >

Template Parameters

  Executor1 | Associated I/O executor, see https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html#boost_asio.reference.asynchronous_operations.associated_i_o_executor
  Allocator1 | Default allocation strategy, see https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html#boost_asio.reference.asynchronous_operations.allocation_of_intermediate_storage

The documentation for this struct was generated from the following file:

- fairmq/sdk/AsioAsyncOp.h

privacy